<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <style>
        .center-text, .show-result {
            text-align: center; 
            font-size: 20pt;
            margin: 5px;
        }
    </style>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>
<body>
    <div id="app" style="border-style:solid;width:400px; text-align: center;">
        <div ref="n1"><input type="text" ref="num1" value="0" v-model="state.num1" class="center-text"></div>
        <div ref="sym" style="text-align:center; font-weight: bold;" class="center-text">+</div>
        <div ref="n2"><input type="text" ref="num2" value="0" v-model="state.num2" class="center-text"></div>
        <div ref="btn"><button class="center-text" @click="doAdd()">=</button></div>
        <div ref="result" class="center-text">{{state.result}}</div>
        <div class="show-result">{{state.num1}} + {{state.num2}} = {{result}}</div><br>
    </div>
</body>
<script>
    const { createApp, reactive, computed } = Vue
    createApp({
        setup() {
            const state = reactive({
                num1: '1',
                num2: '1',
                result: '2'
            })
            const result = computed(function(){
                return state.result = parseInt(state.num1) + parseInt(state.num2)
            }) 
            const doAdd = function() {
                state.result = parseInt(state.num1) + parseInt(state.num2)
            } 
            return {state, doAdd, result}
        }
    }).mount('#app');
</script>
</html>